/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.pigpen.entity;


import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * base_pigpen实体
 *
 * @author newspaper
 * @date  2023/12/05 08:55
 **/
@Getter
@Setter
@TableName("base_pigpen")
public class BasePigpen {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 栋舍名字 */
    @ApiModelProperty(value = "栋舍名字", position = 2)
    private String buildName;

    /** 父级ID */
    @ApiModelProperty(value = "父级ID", position = 3)
    private String parentId;

    /** 类型 0:栋舍 1:楼层 2:单元 */
    @ApiModelProperty(value = "类型 0:栋舍 1:楼层 2:单元", position = 4)
    private Integer type;

    /** 阶段 */
    @ApiModelProperty(value = "阶段", position = 5)
    private String remarks;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 6)
    private String orgId;

    /** 排序 */
    @ApiModelProperty(value = "排序", position = 7)
    private Integer sort;

    /** 逻辑删除标识 */
    @ApiModelProperty(value = "逻辑删除标识", position = 8)
    private String deleteFlag;

    /** 创建者 */
    @ApiModelProperty(value = "创建者", position = 9)
    private String createBy;

    /** 修改者 */
    @ApiModelProperty(value = "修改者", position = 10)
    private String updateBy;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 10)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 11)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;
}
